net.sf.jasperreports.engine.export.oasis

## Class ParagraphStyle

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.Style
  - - net.sf.jasperreports.engine.export.oasis.ParagraphStyle

-     public class ParagraphStyle
      extends Style

  Version:
    $Id: ParagraphStyle.java 5891 2013-01-15 15:33:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `HORIZONTAL_ALIGN_CENTER`
    `protected static java.lang.String` | `HORIZONTAL_ALIGN_JUSTIFY`
    `protected static java.lang.String` | `HORIZONTAL_ALIGN_LEFT`
    `protected static java.lang.String` | `HORIZONTAL_ALIGN_RIGHT`
    `protected static java.lang.String` | `ROTATION_ALIGN_BOTTOM`
    `protected static java.lang.String` | `ROTATION_ALIGN_CENTER`
    `protected static java.lang.String` | `ROTATION_ALIGN_NONE`
    `protected static java.lang.String` | `ROTATION_ALIGN_TOP`
    `protected static java.lang.String` | `TAB_STOP_ALIGN_CENTER`
    `protected static java.lang.String` | `TAB_STOP_ALIGN_LEFT`
    `protected static java.lang.String` | `TAB_STOP_ALIGN_RIGHT`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.oasis.Style

      `styleWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParagraphStyle(WriterHelper styleWriter, JRPrintText text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment, VerticalAlignEnum verticalAlignment, RotationEnum rotation)`
    `java.lang.String` | `getId()`
    `static java.lang.String` | `getTabStopAlignment(TabStopAlignEnum tabStopAlignment)`
    `static java.lang.String` | `getVerticalAlignment(HorizontalAlignEnum horizontalAlignment, VerticalAlignEnum verticalAlignment, RotationEnum rotation)`
    `void` | `write(java.lang.String paragraphStyleName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HORIZONTAL_ALIGN_LEFT

          protected static final java.lang.String HORIZONTAL_ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### HORIZONTAL_ALIGN_RIGHT

          protected static final java.lang.String HORIZONTAL_ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### HORIZONTAL_ALIGN_CENTER

          protected static final java.lang.String HORIZONTAL_ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### HORIZONTAL_ALIGN_JUSTIFY

          protected static final java.lang.String HORIZONTAL_ALIGN_JUSTIFY

      See Also:
        Constant Field Values

    - #### TAB_STOP_ALIGN_LEFT

          protected static final java.lang.String TAB_STOP_ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### TAB_STOP_ALIGN_RIGHT

          protected static final java.lang.String TAB_STOP_ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### TAB_STOP_ALIGN_CENTER

          protected static final java.lang.String TAB_STOP_ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### ROTATION_ALIGN_NONE

          protected static final java.lang.String ROTATION_ALIGN_NONE

      See Also:
        Constant Field Values

    - #### ROTATION_ALIGN_TOP

          protected static final java.lang.String ROTATION_ALIGN_TOP

      See Also:
        Constant Field Values

    - #### ROTATION_ALIGN_CENTER

          protected static final java.lang.String ROTATION_ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### ROTATION_ALIGN_BOTTOM

          protected static final java.lang.String ROTATION_ALIGN_BOTTOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParagraphStyle

          public ParagraphStyle(WriterHelper styleWriter,
                        JRPrintText text)

  - ### Method Detail

    - #### getVerticalAlignment

          public static java.lang.String getVerticalAlignment(HorizontalAlignEnum horizontalAlignment,
                                              VerticalAlignEnum verticalAlignment,
                                              RotationEnum rotation)

    - #### getHorizontalAlignment

          public static java.lang.String getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment,
                                                VerticalAlignEnum verticalAlignment,
                                                RotationEnum rotation)

    - #### getTabStopAlignment

          public static java.lang.String getTabStopAlignment(TabStopAlignEnum tabStopAlignment)

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in class `Style`

    - #### write

          public void write(java.lang.String paragraphStyleName)

      Specified by:
        `write` in class `Style`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com